/***************************************************************************
                          settings-names.h  -  description
                             -------------------
    begin                : Fri Aug 30 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//CurrentName = N/A
//NewNameLineEdit

void settings::AdjustName( int n )
{
    CurrentName->setText( Current->WidgetName[ n ] );
    if ( NewNameLineEdit->text() != Current->WidgetName[n] )
    {
        NewNameLineEdit->setText( Current->WidgetName[n] );
    }
}

void settings::ApplyName()
{
	int n;

	n = TextComboBox->currentItem();
	if ( NewNameLineEdit->text() != "" )
	{	
		Current->WidgetName[ n ] = NewNameLineEdit->text();
		AdjustName( n );
        ApplyButton->setEnabled( TRUE );
	}
}


void settings::DefaultName()
{
	int n;

	n = TextComboBox->currentItem();

	Current->WidgetName[ n ] = Default->WidgetName[ n ];
	AdjustName( n );
	NewNameLineEdit->setText( "" );
    ApplyButton->setEnabled( TRUE );
}
