/***************************************************************************
                          LCD.h  -  description
                             -------------------
    begin                : Sat Nov 24 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlcdnumber.h>

#ifndef QLCD_H
#define QLCD_H

class QLCD : public QLCDNumber
{
	Q_OBJECT
public:
	QLCD( QWidget *parent = 0, const char *name = 0 );

signals:
	void		lclicked();
	void		rclicked();
	
protected:
	//bool	 event( QEvent * );

	void mousePressEvent( QMouseEvent * );
	//void mouseReleaseEvent( QMouseEvent * );
	//void mouseDoubleClickEvent( QMouseEvent * );
	//void mouseMoveEvent( QMouseEvent * );
	//void wheelEvent( QWheelEvent * );
	//void keyPressEvent( QKeyEvent * );
	//void keyReleaseEvent( QKeyEvent * );

	virtual bool hitLCD( const QPoint &pos ) const;

};

#endif // QLCD_H
