/***************************************************************************
                          LCD.h  -  description
                             -------------------
    begin                : Sat Nov 24 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QLED_H
#define QLED_H

#include <qlabel.h>
#include <qpainter.h>
#include <qvbox.h>

class QLED : public QLabel
{
	Q_OBJECT
public:
	QLED( QWidget *parent = 0, const char *name = 0, WFlags f=0 );
	~QLED();

    QLED *Ptr;

signals:
	void		lclicked();
	void		rclicked();

protected:
	void mousePressEvent( QMouseEvent * );
	virtual bool hitLED( const QPoint &pos ) const;
	void paintEvent ( QPaintEvent * );
};

#endif // QLED_H
