/***************************************************************************
                          TimerEvent.h  -  description
                             -------------------
    begin                : Fri Nov 30 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MYTIMER_H
#define MYTIMER_H
#include <qthread.h>

#include "longevent.h" 
#include "rtmix.h"

class MyTimer : public QObject, public QThread
{
public:
    MyTimer( RTMix *parent=0, const char *name=0 );

private:
    void run();

    LongEvent* le;

protected:
    void  timerEvent( QTimerEvent * );
    RTMix *ptr;
};

#endif
