/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Tue Nov 13 17:28:24 EST 2001
    copyright            : (C) 2001 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

//#include <kcmdlineargs.h>
//#include <kaboutdata.h>
//#include <klocale.h>
#include <pthread.h>
#include <qapplication.h>
#include <qstyle.h>
#include <qplatinumstyle.h>
#include <qtextstream.h>

#include "TimerEvent.h"
#include "rtmix.h"
#include "version.h"
#include "splash.h"

/*
static RTMix *rtmixptr; //pointer to rtmix

static void *PlayNow(void *arg) {

	MyTimer* a;

	a = new MyTimer( NULL, NULL, rtmixptr);
	return 0;
}
*/

/*
static const char *description =
	I18N_NOOP("RTMix");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE
	
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};
*/

void displayInfo()
{
	QTextStream cout( stdout, IO_WriteOnly );
 	cout << "Welcome to RTMix v." + Version + " by Ivica Ico Bukvic 2001-2\n"
			<< "Homepage: http://meowing.ccm.uc.edu/~ico/\n"
			<< "Contact: ico@fuse.net\n"
			<< "\n"
			<< "Following flags are available:\n"
			<< "-h                  Show this info\n"
			<< "--help              Show this info\n"
			<< "-f      <filename>  Opens the file <filename> on startup\n"
			<< "--file  <filename>  Opens the file <filename> on startup\n"
			<< "\n"
			<< "For more info see the 'Settings'->'Help' menu\n"
			<< "\n"
			<< "To access the docs manually:\n"
			<< "/usr/local/rtmix/docs/      for text docs\n"
			<< "/usr/local/rtmix/docs/html/ for HTML-formatted docs\n"
			<< "\n";
}


int main(int argc, char **argv)
{
	//pthread_t thread;
	int n;
	QString file, temp;

	file = "";
	//pthread_attr_t attr;
	/*
	KAboutData aboutData( "rtmix", I18N_NOOP("RTMix"),
	VERSION, description, KAboutData::License_GPL,
	"(c) 2001, Ivica Bukvic", 0, 0, "ico@fuse.net");
	aboutData.addAuthor("Ivica Bukvic",0, "ico@fuse.net");
	KCmdLineArgs::init( argc, argv, &aboutData );
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

	KApplication a;
	*/
	QApplication::setColorSpec( QApplication::ManyColor );
	QApplication::setDesktopSettingsAware( TRUE );
	QApplication a(argc, argv);
	if ( a.argc() > 1 )
	{
		QTextStream cout( stdout, IO_WriteOnly );
		for ( n =1; n < a.argc(); n++ )
		{
			temp = a.argv()[n];
			if ( temp == "-h" || temp == "--help" || temp == "-f" || temp == "--file" )
			{
				if ( temp == "-h" || temp == "--help" )
				{
                	displayInfo();
					return 0;
				}
				if ( temp == "-f" || temp == "--file" )
				{
					if ( a.argc() >= n + 2 )
					{
			 			file = a.argv()[n+1];
						n++;
					}
					else
					{
        	         	cout << "\nMissing filename parameter.\n\n";
						displayInfo();
						return 0;
					}
				}
			}
			else
			{
             	cout << "\n'" + temp + "' -- unrecognized flag or parameter\n\n";
                displayInfo();
				return 0;
			}
		}
	}
	//a.setStyle( new QPlatinumStyle );	
	RTMix *rtmix = new RTMix( 0, 0, 0 );
	a.setMainWidget(rtmix);
	//rtmixptr = rtmix;

	//MyTimer PlayNow(rtmix);
	//pthread_attr_init( &attr );
	//pthread_attr_setschedpolicy( &attr, SCHED_RR) ;
	//PlayNow.start();
	//pthread_create(&thread, &attr, PlayNow, (void *) "");
	//pthread_create(&thread, NULL, PlayNow, (void *) "");

	if ( file != "" )
	{
		rtmix->AutoOpenFile( file );
	}

	//rtmix->show();
	return a.exec();
}

