/***************************************************************************
                          qtabledisplay.h  -  description
                             -------------------
    begin                : Fri Sep 13 2002
    copyright            : (C) 2002 by Ivica Bukvic
    email                : ico@fuse.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QTABLEDISPLAY_H
#define QTABLEDISPLAY_H

#include <qtable.h>
#include "colortableitem.h"

class ColorTableItem;

/**
  *@author Ivica Bukvic
  */

class QTableDisplay : public QTable
{
    Q_OBJECT
public: 
    QTableDisplay ( QWidget * parent = 0, const char * name = 0 );
    ~QTableDisplay();

    void PostText( int ,int ,QColor ,QString );
    void PurgeTable();

protected:
    QWidget* beginEdit ( int row, int col, bool replace );
    void columnClicked ( int col );
    
public slots:
    void Unselect();

signals:
    void Unselected();
};

#endif
